---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Personal/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libma10t008a.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x2090, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x508C0, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52800, symBinAddr: 0x9120, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52BF0, symBinAddr: 0x9510, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53B90, symBinAddr: 0xA4B0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53BA0, symBinAddr: 0xA4C0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50530, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50534, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50538, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50690, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50748, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5074C, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50750, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50754, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50758, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50760, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50770, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50778, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50780, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50788, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50790, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50798, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x507E0, symBinAddr: 0x71C0, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL32MonitorContendedEnterEventsCount, symObjAddr: 0x5081C, symBinAddr: 0x71CC, symSize: 0x0 }
  - { offsetInCU: 0x9504, offset: 0x9504, size: 0x8, addend: 0x0, symName: __ZL34MonitorContendedEnteredEventsCount, symObjAddr: 0x50820, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x951D, offset: 0x951D, size: 0x8, addend: 0x0, symName: __ZL22MonitorWaitEventsCount, symObjAddr: 0x50824, symBinAddr: 0x71D4, symSize: 0x0 }
  - { offsetInCU: 0x9536, offset: 0x9536, size: 0x8, addend: 0x0, symName: __ZL24MonitorWaitedEventsCount, symObjAddr: 0x50828, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0x9588, offset: 0x9588, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xD30, symSize: 0x80 }
  - { offsetInCU: 0x961D, offset: 0x961D, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xC80, symSize: 0xB0 }
  - { offsetInCU: 0x9678, offset: 0x9678, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xB80, symSize: 0x100 }
  - { offsetInCU: 0x990B, offset: 0x990B, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xDB0, symSize: 0xC0 }
  - { offsetInCU: 0x995D, offset: 0x995D, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xE70, symSize: 0x220 }
  - { offsetInCU: 0x9B42, offset: 0x9B42, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1090, symSize: 0xA0 }
  - { offsetInCU: 0x9BF5, offset: 0x9BF5, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1130, symSize: 0x110 }
  - { offsetInCU: 0x9CEB, offset: 0x9CEB, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1240, symSize: 0x150 }
  - { offsetInCU: 0x9E48, offset: 0x9E48, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1390, symSize: 0x30 }
  - { offsetInCU: 0x9F55, offset: 0x9F55, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x13C0, symSize: 0x150 }
  - { offsetInCU: 0xA14D, offset: 0xA14D, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1510, symSize: 0x160 }
  - { offsetInCU: 0xA40D, offset: 0xA40D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x1670, symSize: 0x4A0 }
  - { offsetInCU: 0xA680, offset: 0xA680, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1B10, symSize: 0x1B0 }
  - { offsetInCU: 0xA89B, offset: 0xA89B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x1CC0, symSize: 0xA0 }
  - { offsetInCU: 0xA96A, offset: 0xA96A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x1D60, symSize: 0x20 }
  - { offsetInCU: 0xA9A1, offset: 0xA9A1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x1D80, symSize: 0x20 }
  - { offsetInCU: 0xA9D8, offset: 0xA9D8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x1DA0, symSize: 0x20 }
  - { offsetInCU: 0xABAB, offset: 0xABAB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x1DC0, symSize: 0x1A0 }
  - { offsetInCU: 0xAEC7, offset: 0xAEC7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x1F60, symSize: 0x130 }
  - { offsetInCU: 0xB077, offset: 0xB077, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2300, symSize: 0x1B0 }
  - { offsetInCU: 0xB366, offset: 0xB366, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x24B0, symSize: 0x80 }
  - { offsetInCU: 0xB42F, offset: 0xB42F, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2530, symSize: 0x6A0 }
  - { offsetInCU: 0xBFC4, offset: 0xBFC4, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA450, symBinAddr: 0x4010, symSize: 0xB0 }
  - { offsetInCU: 0xC03B, offset: 0xC03B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x2BD0, symSize: 0x70 }
  - { offsetInCU: 0xC12F, offset: 0xC12F, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x2C40, symSize: 0xA0 }
  - { offsetInCU: 0xC23A, offset: 0xC23A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_init_MA, symObjAddr: 0x52A0, symBinAddr: 0x2CE0, symSize: 0x1F0 }
  - { offsetInCU: 0xC487, offset: 0xC487, size: 0x8, addend: 0x0, symName: __ZL16nativeMethodBindP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDPvPS7_, symObjAddr: 0x5490, symBinAddr: 0x2ED0, symSize: 0x310 }
  - { offsetInCU: 0xC923, offset: 0xC923, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x31E0, symSize: 0x40 }
  - { offsetInCU: 0xCA19, offset: 0xCA19, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x3220, symSize: 0x2B0 }
  - { offsetInCU: 0xCDBF, offset: 0xCDBF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x34D0, symSize: 0xC0 }
  - { offsetInCU: 0xCF05, offset: 0xCF05, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x3590, symSize: 0x10 }
  - { offsetInCU: 0xCFC7, offset: 0xCFC7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x35A0, symSize: 0x220 }
  - { offsetInCU: 0xD2C4, offset: 0xD2C4, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x37C0, symSize: 0x10 }
  - { offsetInCU: 0xD321, offset: 0xD321, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x37D0, symSize: 0x2B0 }
  - { offsetInCU: 0xD613, offset: 0xD613, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9EC0, symBinAddr: 0x3A80, symSize: 0x10 }
  - { offsetInCU: 0xD671, offset: 0xD671, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9ED0, symBinAddr: 0x3A90, symSize: 0x240 }
  - { offsetInCU: 0xD8E8, offset: 0xD8E8, size: 0x8, addend: 0x0, symName: __ZL21MonitorContendedEnterP9_jvmtiEnvP7JNIEnv_P8_jobjectS4_, symObjAddr: 0xA110, symBinAddr: 0x3CD0, symSize: 0xD0 }
  - { offsetInCU: 0xDA1A, offset: 0xDA1A, size: 0x8, addend: 0x0, symName: __ZL23MonitorContendedEnteredP9_jvmtiEnvP7JNIEnv_P8_jobjectS4_, symObjAddr: 0xA1E0, symBinAddr: 0x3DA0, symSize: 0xD0 }
  - { offsetInCU: 0xDB4C, offset: 0xDB4C, size: 0x8, addend: 0x0, symName: __ZL11MonitorWaitP9_jvmtiEnvP7JNIEnv_P8_jobjectS4_l, symObjAddr: 0xA2B0, symBinAddr: 0x3E70, symSize: 0xD0 }
  - { offsetInCU: 0xDC89, offset: 0xDC89, size: 0x8, addend: 0x0, symName: __ZL13MonitorWaitedP9_jvmtiEnvP7JNIEnv_P8_jobjectS4_h, symObjAddr: 0xA380, symBinAddr: 0x3F40, symSize: 0xD0 }
  - { offsetInCU: 0xDDC6, offset: 0xDDC6, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA500, symBinAddr: 0x40C0, symSize: 0x36A }
...
